---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs202t001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x508C0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52800, symBinAddr: 0x8110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52BF0, symBinAddr: 0x8500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53B90, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53BA0, symBinAddr: 0x94B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50550, symBinAddr: 0x60A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50554, symBinAddr: 0x60A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50558, symBinAddr: 0x60A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x506A0, symBinAddr: 0x60B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50758, symBinAddr: 0x6168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5075C, symBinAddr: 0x616C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50760, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50764, symBinAddr: 0x6174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50768, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50770, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50788, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50790, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50798, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x507A0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x507A8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x507F0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xD40, symSize: 0x80 }
  - { offsetInCU: 0x91A5, offset: 0x91A5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xC90, symSize: 0xB0 }
  - { offsetInCU: 0x9200, offset: 0x9200, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xB90, symSize: 0x100 }
  - { offsetInCU: 0x9493, offset: 0x9493, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xDC0, symSize: 0xC0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xE80, symSize: 0x220 }
  - { offsetInCU: 0x96CA, offset: 0x96CA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x10A0, symSize: 0xA0 }
  - { offsetInCU: 0x977D, offset: 0x977D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1140, symSize: 0x110 }
  - { offsetInCU: 0x9873, offset: 0x9873, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1250, symSize: 0x150 }
  - { offsetInCU: 0x99A4, offset: 0x99A4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x13A0, symSize: 0x30 }
  - { offsetInCU: 0x9A91, offset: 0x9A91, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x13D0, symSize: 0x150 }
  - { offsetInCU: 0x9C89, offset: 0x9C89, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1520, symSize: 0x160 }
  - { offsetInCU: 0x9F49, offset: 0x9F49, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1680, symSize: 0x4A0 }
  - { offsetInCU: 0xA1BC, offset: 0xA1BC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1B20, symSize: 0x1B0 }
  - { offsetInCU: 0xA3D7, offset: 0xA3D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1CD0, symSize: 0xA0 }
  - { offsetInCU: 0xA4A6, offset: 0xA4A6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1D70, symSize: 0x20 }
  - { offsetInCU: 0xA4DD, offset: 0xA4DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1D90, symSize: 0x20 }
  - { offsetInCU: 0xA514, offset: 0xA514, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1DB0, symSize: 0x20 }
  - { offsetInCU: 0xA6E7, offset: 0xA6E7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1DD0, symSize: 0x1A0 }
  - { offsetInCU: 0xAA05, offset: 0xAA05, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1F70, symSize: 0x80 }
  - { offsetInCU: 0xAACE, offset: 0xAACE, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1FF0, symSize: 0x6C0 }
  - { offsetInCU: 0xB644, offset: 0xB644, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA250, symBinAddr: 0x3300, symSize: 0xB0 }
  - { offsetInCU: 0xB6BB, offset: 0xB6BB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x26B0, symSize: 0x70 }
  - { offsetInCU: 0xB7DB, offset: 0xB7DB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2720, symSize: 0xA0 }
  - { offsetInCU: 0xB912, offset: 0xB912, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x27C0, symSize: 0x40 }
  - { offsetInCU: 0xBA08, offset: 0xBA08, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2800, symSize: 0x2B0 }
  - { offsetInCU: 0xBDAE, offset: 0xBDAE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2AB0, symSize: 0xC0 }
  - { offsetInCU: 0xBEF4, offset: 0xBEF4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2B70, symSize: 0x10 }
  - { offsetInCU: 0xBFB6, offset: 0xBFB6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2B80, symSize: 0x240 }
  - { offsetInCU: 0xC29F, offset: 0xC29F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2DC0, symSize: 0x10 }
  - { offsetInCU: 0xC2FC, offset: 0xC2FC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2DD0, symSize: 0x160 }
  - { offsetInCU: 0xC570, offset: 0xC570, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E80, symBinAddr: 0x2F30, symSize: 0x10 }
  - { offsetInCU: 0xC605, offset: 0xC605, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9E90, symBinAddr: 0x2F40, symSize: 0x130 }
  - { offsetInCU: 0xC8CA, offset: 0xC8CA, size: 0x8, addend: 0x0, symName: _callbackSingleStep, symObjAddr: 0x9FC0, symBinAddr: 0x3070, symSize: 0xA0 }
  - { offsetInCU: 0xCA9E, offset: 0xCA9E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0xA060, symBinAddr: 0x3110, symSize: 0xB0 }
  - { offsetInCU: 0xCB05, offset: 0xCB05, size: 0x8, addend: 0x0, symName: _callbackBreakpoint, symObjAddr: 0xA110, symBinAddr: 0x31C0, symSize: 0x70 }
  - { offsetInCU: 0xCC63, offset: 0xCC63, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t001_hs202t001_popThreadFrame, symObjAddr: 0xA180, symBinAddr: 0x3230, symSize: 0x90 }
  - { offsetInCU: 0xCD84, offset: 0xCD84, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t001_hs202t001_resumeThread, symObjAddr: 0xA210, symBinAddr: 0x32C0, symSize: 0x40 }
  - { offsetInCU: 0xCE2A, offset: 0xCE2A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA300, symBinAddr: 0x33B0, symSize: 0x36A }
...
